Groovy 1.7.0

## groovy.lang
Class MetaClassRegistryChangeEvent

    java.lang.Object
      java.util.EventObject
          groovy.lang.MetaClassRegistryChangeEvent

    class MetaClassRegistryChangeEvent
    extends EventObject

An event used to propagate meta class updates

author:
  Jochen Theodorou

Constructor Summary
`MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)`

Method Summary
`Class` | `getClassToUpdate()`
`MetaClass` | `getNewMetaClass()`

Methods inherited from class EventObject
toString, getSource, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MetaClassRegistryChangeEvent

    public MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)

Method Detail

### getClassToUpdate

    public Class getClassToUpdate()

### getNewMetaClass

    public MetaClass getNewMetaClass()

Copyright © 2003-2009 The Codehaus. All rights reserved.